#!/usr/bin/env python
 ###########################################################################
 #                             apps.py
 #                   part of the legacyconfig package
 #                       -------------------
 # This file is actually the configuration file for legacyconfig program
 # scanner.  Below two variables are define - "Apps" is a table of possible
 # configuration programs - it lists the programs name, command line, icon
 # and window title.  The variable "tree_parent" contains the "sections"
 # that will appear in kcontrol, along with thier icons.
 # This is a python source file for convenience (this means you can include
 # arbitrary python code in this file).
 #
 #   begin                : Tue May 21 2002
 #   copyright            : (C) 2002 by Jonathon Sim
 #   email                : jsim@free.net.nz
 #   url                  : http://jonsim.kdedevelopers.net
 ###########################################################################

 ###########################################################################
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 ###########################################################################

import string
xbindir = "/usr/X11R6/bin"
bindir = "/usr/bin"
rootbindir = "/bin"
sbindir = "/usr/sbin"
iconsdir = "/usr/share/icons"
docdir = "/usr/share/doc"
wizdir = "/usr/share/wizards"

#This function is handy if you want to use these perl-style variables
def x(thestring):
	"Performs the directory replacements (ie $bindir->/usr/bin)"
	nextstring = string.replace(thestring,"$xbindir", xbindir)
	nextstring = string.replace(nextstring,"$bindir", bindir)
	nextstring = string.replace(nextstring,"$rootbindir", rootbindir)
	nextstring = string.replace(nextstring,"$sbindir", sbindir)
	nextstring = string.replace(nextstring,"$iconsdir", iconsdir)
	nextstring = string.replace(nextstring,"$docdir", docdir)
	nextstring = string.replace(nextstring,"$wizdir", wizdir )
	return nextstring

#The Apps supported by this script
#The script search the $PATH for each commandline - if it is found then an entrie is created for it in kcontrol
#For each application in the table, you need to provide the following information:
#	( displayname,						command line			icon,				window title, args), \
Apps = [ ("Boot/Boot Disk", 			x("$sbindir/drakfloppy"),			'kfloppy.png',			"drakfloppy", 	""), \
("Boot/Boot Config",				x("$sbindir/drakboot"),				'package_utilities.png',	"Boot Style Config",   ""), \
("Boot/Auto Install",				x("$sbindir/drakautoinst"),		'kfloppy.png',	"Auto Install",   ""), \
("Hardware/Display",				x("$sbindir/XFdrake"),				"x.png",		"XFDrake",   ""),\
("Hardware/Hardware", 				x("$sbindir/harddrake2"),			"hwinfo.png",	"Hard",   "")   ,\
("Hardware/Mouse",				x("$sbindir/mousedrake"),			"mouse.png",	"mouse",   "")    ,\
("Hardware/Printer",				x("$sbindir/printerdrake"),			'printmgr.png' ,		"Printing",   "" ),\
("Hardware/Scanner",				x("$sbindir/scannerdrake"),			'scanner.png' ,		"Scanning" ,   ""),\
("Hardware/Keyboard",				x("$sbindir/keyboarddrake"),			'keyboard_layout.png',	"Keyboard",   ""),\
("Hardware/TV Cards",				x("$sbindir/drakxtv"),				'keyboard_layout.png',	"TV",   ""),\
("Network & Internet/Connection" , x("$sbindir/drakconnect") ,					'network.png',	"drakconnect",   ""), \
("Network & Internet/Connection Sharing",	x("$sbindir/drakgw") ,				'network.png', 		"drakgw",   ""), \
("Network & Internet/Proxy Configuration",	x("$sbindir/drakproxy") ,			'network.png', 		"drakproxy",   ""), \
("Remote and local storage/Hard Disks", 	x("$sbindir/diskdrake"),			"kcmdf.png",	"Disk" ,   ""),\
("Remote and local storage/Unix NFS Shares", 	x("$sbindir/diskdrake"),			"kcmdf.png",	"NFS" ,   "--nfs"),\
("Remote and local storage/Windows SMB Shares",x("$sbindir/diskdrake"),			"kcmdf.png",	"SMB" ,   "--smb"),\
("Remote and local storage/WebDAV shares", 	x("$sbindir/diskdrake"),			"kcmdf.png",	"WebDAV" ,   "--dav"),\
("Remote and local storage/Removable Media", 	x("$sbindir/diskdrake"),		"kcmdf.png",	"Removable" ,   "--removable"),\
("Remote and local storage/File sharing", 	x("$sbindir/diskdrake"),		"kcmdf.png",	"Sharing" ,   "--fileshare"),\
("Security/Security Level", 			x("$sbindir/draksec"),				'folder_locked.png',   	"sec"  ,   ""),\
("Security/File Permissions", 			x("$sbindir/drakperm"),				'folder_locked.png',   	"perms"  ,   ""),\
("Security/Firewalling", 			x("$sbindir/drakfirewall"),			'folder_locked.png',		"firewall",   ""),\
("System/Menus" , 				"menudrake",					'go.png',	"Menu"    ,   ""),\
("System/Services" , 				x("$sbindir/drakxservices"),			'ksysv.png' , 	"Services" ,   ""),\
("System/Fonts", 				x("$sbindir/drakfont"),				'fonts.png',		"Font",   ""),\
("System/Date & Time" , 			x("$sbindir/clock.pl"),				'clock.png',			"Clock",   ""),\
("System/Logs", 			 	x("$sbindir/logdrake"),				'kjots.png',			"log",   ""),\
("System/Console", 				x("$xbindir/rxvt"),				'konsole.png',		"RXVT",   ""),\
("System/Users",				"userdrake",					"kuser",			"user",   ""), \
("System/Backupss",				x("$sbindir/drakbackup"),			"kdat.png",			"user",   ""), \
("Software Manager/Install Software", 		"rpmdrake",					'package.png',	"Software Manager",   ""),\
("Software Manager/Remove Software", 		"rpmdrake-remove",				'package.png',	"Software Manager",   ""),\
("Software Manager/Update Software", 		"MandrakeUpdate",				'package.png',	"Software Manager",   ""),\
("Software Manager/Manage Sources", 		x("$sbindir/edit-urpm-sources.pl"),		'package.png',	"sources",   ""),\
("Servers/Server Wizards",	 		x("$sbindir/wizdrake"),				'package_settings.png',		"wiz",   ""),\
#Redhat tools
("Network & Internet/NetConf",			"netconf",					'net-mdk.png',			"configurator",   ""), \
("System/LinuxConf",				"linuxconf",			"linuxconf",			"Linuxconf",   ""), \
#KDE Tools
("Hardware/CUPS Print System", 			"kups",						"kups",					"Kups",   "" ), \
("System/KCron",				"kcron",					"kcron",				"Scheduler",   ""), \
("Network & Internet/FTPd Setup", 		"kwuftpd",					"kwuftpd",				"wuftpd",   "")]


#The tree structure presented in kcontrol - note that currently only one level is supported
tree_parent = [  ["Boot", 'kcmsystem.png'],
   ["Hardware", 'hwinfo.png'],
   ["Remote and local storage", 'kcmdf.png'], 
   ["Network & Internet",'network.png'],
   ["Security",'folder_locked.png'],
   ["System",'kcontrol.png'],
   ["Software Manager",'package.png'],
   ["Servers",'samba.png']  ]



